Loading...
Searching...
No Matches
alignment_from_cigar.hpp File Reference

Provides the function seqan3::alignment_from_cigar. More...

`#include <vector>`
`#include <seqan3/alignment/aligned_sequence/aligned_sequence_concept.hpp>`
`#include <seqan3/alignment/decorator/gap_decorator.hpp>`
`#include <seqan3/alphabet/cigar/cigar.hpp>`
`#include <seqan3/io/sam_file/detail/cigar.hpp>`
`#include <seqan3/utility/views/slice.hpp>`
Include dependency graph for alignment_from_cigar.hpp:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Namespaces

namespace | seqan3
| The main SeqAn3 namespace.

## Functions

template<typename reference_type, typename sequence_type>
auto | seqan3::alignment_from_cigar (std::string const &cigar_string, reference_type const &reference, uint32_t const zero_based_reference_start_position, sequence_type const &query)
template<typename reference_type, typename sequence_type>
auto | seqan3::alignment_from_cigar (std::vector< cigar > const &cigar_vector, reference_type const &reference, uint32_t const zero_based_reference_start_position, sequence_type const &query)
| Construct an alignment from a CIGAR string and the corresponding sequences.

## Detailed Description

Provides the function seqan3::alignment_from_cigar.

Author
  Svenja Mehringer <svenja.mehringer AT fu-berlin.de>

Hide me